<?php

namespace _121Digital\Connect\Network\Services;

class NodeSettingsService
{
    private static $_optionName = 'sc_node_option_';

    public static function setNodeName(string $nodeName): void
    {
        update_site_option(self::$_optionName . 'node_name', sanitize_text_field($nodeName));
    }

    public static function getNodeName(): string
    {
        return get_site_option(self::$_optionName . 'node_name', '');
    }
}
